﻿/*
 * Implementacja notyfikacji na podstawie "Custom soft key Notifications" by Christopher Fairbairn http://www.christec.co.nz/blog/archives/150
 */

using System;

namespace PocketGPW
{
    public delegate void NotificationSpinnerClickEventHandler(object sender, NotificationSpinnerClickEventArgs e);

    public class NotificationSpinnerClickEventArgs : EventArgs
    {
        private bool _forward;

        /// <summary>
        /// Returns true if the > spinner button is clicked. Returns false if the < spinner button is clicked.
        /// </summary>
        public bool Forward 
        { 
            get { return _forward; } 
        }

        public NotificationSpinnerClickEventArgs(bool forward)
        {
            _forward = forward;
        }
    }    
}
